clean_dart_cli 1.1.1
clean_dart_cli: ^1.1.1 copied to clipboard

This project is one CLI for integrate Flutter and Dart with Clean Architecture

Use this package as an executable

Install it

You can install the package from the command line:

dart pub global activate clean_dart_cli

Use it

The package has the following executables:

$ clean-dart

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add clean_dart_cli

With Flutter:

 $ flutter pub add clean_dart_cli

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  clean_dart_cli: ^1.1.1

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:clean_dart_cli/modules/app_module.dart';
import 'package:clean_dart_cli/modules/common_commands/common_module.dart';
import 'package:clean_dart_cli/modules/common_commands/controllers/common_commands_controller.dart';
import 'package:clean_dart_cli/modules/common_commands/usecases/ask_first_question.dart';
import 'package:clean_dart_cli/modules/common_commands/usecases/get_version.dart';
import 'package:clean_dart_cli/modules/common_commands/usecases/help_command.dart';
import 'package:clean_dart_cli/modules/common_commands/usecases/upgrade_cli.dart';
import 'package:clean_dart_cli/modules/generate_layers/controllers/generate_controller.dart';
import 'package:clean_dart_cli/modules/generate_layers/controllers/generate_domain_controller.dart';
import 'package:clean_dart_cli/modules/generate_layers/controllers/generate_layer_controller.dart';
import 'package:clean_dart_cli/modules/generate_layers/generate_module.dart';
import 'package:clean_dart_cli/modules/generate_layers/usecases/generate_complete.dart';
import 'package:clean_dart_cli/modules/generate_layers/usecases/generate_domain.dart';
import 'package:clean_dart_cli/modules/generate_layers/usecases/generate_entity.dart';
import 'package:clean_dart_cli/modules/generate_layers/usecases/generate_error.dart';
import 'package:clean_dart_cli/modules/generate_layers/usecases/generate_external.dart';
import 'package:clean_dart_cli/modules/generate_layers/usecases/generate_infra.dart';
import 'package:clean_dart_cli/modules/generate_layers/usecases/generate_model.dart';
import 'package:clean_dart_cli/modules/generate_layers/usecases/generate_model_js.dart';
import 'package:clean_dart_cli/modules/generate_layers/usecases/generate_ui.dart';
import 'package:clean_dart_cli/modules/generate_layers/usecases/generate_usecases.dart';
import 'package:clean_dart_cli/shared/constants.dart';
import 'package:clean_dart_cli/shared/errors/file_exists_error.dart';
import 'package:clean_dart_cli/shared/errors/upgrade_error.dart';
import 'package:clean_dart_cli/shared/interfaces/iask_first_question.dart';
import 'package:clean_dart_cli/shared/interfaces/igenerate_entity.dart';
import 'package:clean_dart_cli/shared/interfaces/igenerate_error.dart';
import 'package:clean_dart_cli/shared/interfaces/igenerate_layers.dart';
import 'package:clean_dart_cli/shared/interfaces/igenerate_model.dart';
import 'package:clean_dart_cli/shared/interfaces/igenerate_model_js.dart';
import 'package:clean_dart_cli/shared/interfaces/igenerate_usecases.dart';
import 'package:clean_dart_cli/shared/interfaces/iget_version_cli.dart';
import 'package:clean_dart_cli/shared/interfaces/ihelp_command.dart';
import 'package:clean_dart_cli/shared/interfaces/iupgrade_cli.dart';
import 'package:clean_dart_cli/shared/templates/entity_template.dart';
import 'package:clean_dart_cli/shared/templates/error_template.dart';
import 'package:clean_dart_cli/shared/templates/model_js_template.dart';
import 'package:clean_dart_cli/shared/templates/model_template.dart';
import 'package:clean_dart_cli/shared/templates/usecase_template.dart';
import 'package:clean_dart_cli/shared/utils/output_utils.dart';
import 'package:clean_dart_cli/shared/utils/validate_arguments.dart';
import 'package:clean_dart_cli/shared/utils/wellcome_message.dart';
5
likes
100
pub points
0%
popularity

This project is one CLI for integrate Flutter and Dart with Clean Architecture

Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD (LICENSE)

Dependencies

ansicolor, args, cli_dialog, get_it, path, process_run, recase

More

Packages that depend on clean_dart_cli